Updates a tag
PUT
/tags/{id}Updates a tag
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TagsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TagsApi(config);
const result = await api.updateTag({ "id": 123, "tagPayload": { "name": "Checkout smoke tests" }});console.log(result);curl --request PUT \ "https://api.testcollab.io/tags/123?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "id": 123, "name": "example"}'Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Tag ID |
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
id |
number | No | — |
name |
string | Yes | — |
Response
Section titled “Response”200 — Updated Tag
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
name |
string | Yes | — |
test_case_count |
number | No | — |
{ "id": 123, "name": "example", "test_case_count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |